import HTMLCom from '../../htmlCom/HTMLCom.vue';
import MapCom from '../../mapCom/MapCom.vue';
import RecordSet from './recordSet/RecordSet.vue';
import Summary from './summary/Summary.vue';
import DeviceLastValueCom from './deviceLastValue/DeviceLastValueCom.vue';

export const enum SummaryAnswerType {
	RecordSet = 'recordset',
	Summary = 'summary',
	Url = 'url',
	Map = 'map',
	DeviceLastValue='device_last_value'
}

export const summaryAnswerTypeMapCom = {
	[SummaryAnswerType.RecordSet]: RecordSet,
	[SummaryAnswerType.Summary]: Summary,
	[SummaryAnswerType.Url]: HTMLCom,
	[SummaryAnswerType.Map]: MapCom,
	[SummaryAnswerType.DeviceLastValue]:DeviceLastValueCom
};
